"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeDisplay = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _components = require("@looker/components");

var _prismReactRenderer = _interopRequireWildcard(require("prism-react-renderer"));

var _utils = require("../utils");

var _CodeWrapper = require("./CodeWrapper");

var _LineItem = require("./LineItem");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

(typeof global !== 'undefined' ? global : window).Prism = _prismReactRenderer.Prism;

require('prismjs/components/prism-kotlin');

require('prismjs/components/prism-csharp');

require('prismjs/components/prism-swift');

require('prismjs/components/prism-ruby');

var Line = (0, _styledComponents.default)(_components.Span).withConfig({
  displayName: "CodeDisplay__Line",
  componentId: "iaw0ts-0"
})(["display:table-row;"]);
var LineNo = (0, _styledComponents.default)(_components.Span).withConfig({
  displayName: "CodeDisplay__LineNo",
  componentId: "iaw0ts-1"
})(["display:table-cell;text-align:right;padding-right:1em;user-select:none;opacity:0.5;"]);
var LineContent = (0, _styledComponents.default)(_components.Span).withConfig({
  displayName: "CodeDisplay__LineContent",
  componentId: "iaw0ts-2"
})(["display:table-cell;font-family:monospace;"]);

var CodeDisplay = _ref => {
  var {
    language = 'json',
    code,
    pattern = '',
    transparent = false,
    inline = false,
    lineNumbers = true
  } = _ref;
  return _react.default.createElement(_prismReactRenderer.default, _extends({}, _prismReactRenderer.defaultProps, {
    code: code.trim(),
    language: (0, _utils.getPrismLanguage)(language),
    theme: (0, _utils.getOverridenTheme)(transparent, inline)
  }), _ref2 => {
    var {
      className,
      style,
      tokens,
      getLineProps,
      getTokenProps
    } = _ref2;
    return _react.default.createElement(_CodeWrapper.CodeWrapper, {
      className: className,
      style: style,
      inline: inline
    }, tokens.map((line, i) => _react.default.createElement(Line, _extends({
      key: i
    }, getLineProps({
      line,
      key: i
    })), lineNumbers && _react.default.createElement(LineNo, null, i + 1), _react.default.createElement(LineContent, null, line.map((token, key) => {
      var tokenProps = getTokenProps({
        token,
        key
      });
      return _react.default.createElement(_LineItem.LineItem, {
        key: key,
        index: key,
        tokenProps: tokenProps,
        pattern: pattern
      });
    })))));
  });
};

exports.CodeDisplay = CodeDisplay;
//# sourceMappingURL=CodeDisplay.js.map