"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeEditor = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactSimpleCodeEditor = _interopRequireDefault(require("react-simple-code-editor"));

var _index = require("../index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CodeEditor = _ref => {
  var {
    code,
    onChange,
    language = 'json',
    pattern = '',
    transparent = false,
    lineNumbers = true
  } = _ref;
  return _react.default.createElement(_reactSimpleCodeEditor.default, {
    value: code.trim(),
    role: 'code-editor',
    onValueChange: onChange,
    highlight: code => _react.default.createElement(_index.CodeDisplay, {
      code: code,
      language: language,
      pattern: pattern,
      transparent: transparent,
      lineNumbers: lineNumbers
    }),
    padding: "1rem",
    style: {
      width: '100%',
      color: '#FFF',
      whiteSpace: 'pre-wrap',
      overflow: 'auto',
      fontFamily: 'monospace'
    }
  });
};

exports.CodeEditor = CodeEditor;
//# sourceMappingURL=CodeEditor.js.map