function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import styled from 'styled-components';
import { Span } from '@looker/components';
import Highlight, { defaultProps, Prism } from 'prism-react-renderer';
import { getPrismLanguage, getOverridenTheme } from '../utils';
import { CodeWrapper } from './CodeWrapper';
import { LineItem } from './LineItem';
(typeof global !== 'undefined' ? global : window).Prism = Prism;

require('prismjs/components/prism-kotlin');

require('prismjs/components/prism-csharp');

require('prismjs/components/prism-swift');

require('prismjs/components/prism-ruby');

var Line = styled(Span).withConfig({
  displayName: "CodeDisplay__Line",
  componentId: "iaw0ts-0"
})(["display:table-row;"]);
var LineNo = styled(Span).withConfig({
  displayName: "CodeDisplay__LineNo",
  componentId: "iaw0ts-1"
})(["display:table-cell;text-align:right;padding-right:1em;user-select:none;opacity:0.5;"]);
var LineContent = styled(Span).withConfig({
  displayName: "CodeDisplay__LineContent",
  componentId: "iaw0ts-2"
})(["display:table-cell;font-family:monospace;"]);
export var CodeDisplay = _ref => {
  var {
    language = 'json',
    code,
    pattern = '',
    transparent = false,
    inline = false,
    lineNumbers = true
  } = _ref;
  return React.createElement(Highlight, _extends({}, defaultProps, {
    code: code.trim(),
    language: getPrismLanguage(language),
    theme: getOverridenTheme(transparent, inline)
  }), _ref2 => {
    var {
      className,
      style,
      tokens,
      getLineProps,
      getTokenProps
    } = _ref2;
    return React.createElement(CodeWrapper, {
      className: className,
      style: style,
      inline: inline
    }, tokens.map((line, i) => React.createElement(Line, _extends({
      key: i
    }, getLineProps({
      line,
      key: i
    })), lineNumbers && React.createElement(LineNo, null, i + 1), React.createElement(LineContent, null, line.map((token, key) => {
      var tokenProps = getTokenProps({
        token,
        key
      });
      return React.createElement(LineItem, {
        key: key,
        index: key,
        tokenProps: tokenProps,
        pattern: pattern
      });
    })))));
  });
};
//# sourceMappingURL=CodeDisplay.js.map