import React from 'react';
import Editor from 'react-simple-code-editor';
import { CodeDisplay } from '../index';
export var CodeEditor = _ref => {
  var {
    code,
    onChange,
    language = 'json',
    pattern = '',
    transparent = false,
    lineNumbers = true
  } = _ref;
  return React.createElement(Editor, {
    value: code.trim(),
    role: 'code-editor',
    onValueChange: onChange,
    highlight: code => React.createElement(CodeDisplay, {
      code: code,
      language: language,
      pattern: pattern,
      transparent: transparent,
      lineNumbers: lineNumbers
    }),
    padding: "1rem",
    style: {
      width: '100%',
      color: '#FFF',
      whiteSpace: 'pre-wrap',
      overflow: 'auto',
      fontFamily: 'monospace'
    }
  });
};
//# sourceMappingURL=CodeEditor.js.map