import { theme } from '@looker/components';
import { Prism } from 'prism-react-renderer';
import blockTheme from 'prism-react-renderer/themes/vsDark';
import inlineTheme from 'prism-react-renderer/themes/github';
export var instanceOfPrismLanguage = languageName => {
  var extraHighlightingEngines = ['kotlin', 'csharp', 'swift', 'ruby'];
  return Object.keys(Prism.languages).includes(languageName) || extraHighlightingEngines.includes(languageName);
};
export var getPrismLanguage = language => {
  language = language.toLowerCase();

  if (language === 'golang') {
    language = 'go';
  } else if (language === 'c#') {
    language = 'csharp';
  }

  return instanceOfPrismLanguage(language) ? language : 'markup';
};
export var getOverridenTheme = (transparent, inline) => {
  if (inline) {
    inlineTheme.plain.backgroundColor = theme.colors.ui1;
    inlineTheme.plain.border = "1px solid ".concat(theme.colors.ui2);
    inlineTheme.plain.borderRadius = '4px';
    inlineTheme.plain.padding = '4px';
    inlineTheme.plain.fontSize = theme.fontSizes.small;
    return inlineTheme;
  } else if (transparent) {
    blockTheme.plain.backgroundColor = 'none';
    blockTheme.plain.padding = '0px';
  } else {
    blockTheme.plain.backgroundColor = theme.colors.text;
    blockTheme.plain.padding = '1rem';
  }

  return blockTheme;
};
//# sourceMappingURL=utils.js.map